package com.jeeplus.modules.supply.particulars.web;

import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.web.BaseController;
import com.jeeplus.modules.supply.particulars.entity.SupplyParticulars;
import com.jeeplus.modules.supply.particulars.service.SupplyParticularsService;
import com.jeeplus.modules.supply.stockOut.entity.SupplyStockOut;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * 超欠供明细controller
 * @author: 徐滕
 * @create: 2022-03-02 10:31
 **/
@Controller
@RequestMapping(value = "${adminPath}/supply/particulars")
public class SupplyParticularsController extends BaseController {

    @Autowired
    private SupplyParticularsService service;

    @ModelAttribute
    public SupplyParticulars get(@RequestParam(required = false) String id) {
        SupplyParticulars entity = null;
        if (StringUtils.isNotBlank(id)) {
            entity = service.get(id);
        }
        if (entity == null) {
            entity = new SupplyParticulars();
        }
        return entity;
    }

    /**
     * 项目列表页面
     */
    @RequiresPermissions("supply:particulars:list")
    @RequestMapping(value = {"list", ""})
    public String list(SupplyParticulars supplyParticulars, Model model) {
        model.addAttribute("supplyParticulars", supplyParticulars);
        return "modules/supply/particulars/supplyParticularsList";
    }

    /**
     * 列表数据
     */
    @ResponseBody
    @RequiresPermissions("supply:particulars:list")
    @RequestMapping(value = "data")
    public Map<String, Object> data(SupplyParticulars supplyParticulars, HttpServletRequest request, HttpServletResponse response, Model model) {
        Page<SupplyParticulars> page = service.findPage(new Page<SupplyParticulars>(request, response), supplyParticulars);
        return getBootstrapData(page);
    }
}
